package test.microlevel.tonicfiring;
import motorunit.*;
public class TonicFiringScenario 
                            extends ScenarioBuilder{
   private RunningNeuron motorNeuron;
   private FakeNeuron fakeNeuron;
   private TestEnvironment testEnv;

   public static String EXP_MOTOR_ACTIVITY = 
              "./data/real_motoneuron_activity.txt";
   @Override
   protected void buildElements() {
      testEnv = getTestEnvironment();      
      motorNeuron = new RunningNeuron("Motoneuron",
                                EXP_MOTOR_ACTIVITY);
      testEnv.add(motorNeuron);
      fakeNeuron = new FakeNeuron("FakeNeuron");
      testEnv.add(fakeNeuron)
      double axonalDelay = 10.0;
      motorNeuron.makeSynapseWith(fakeNeuron, 
                                       axonalDelay);
   }
}
